# Default values for Busynix.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1
image:
  repository: registry.gitlab.com/oceanbox/busynix
  tag: v1.0.1
  pullPolicy: IfNotPresent
init:
  enabled: false
  image: ubuntu:rolling
  command: ["/bin/sh", "-c", "true"]
imagePullSecrets:
  - name: gitlab-pull-secret
nameOverride: ""
fullnameOverride: ""
serviceAccount:
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""
podAnnotations: {}
podSecurityContext:
  fsGroup: 2000
securityContext:
  capabilities:
    drop:
      - ALL
  readOnlyRootFilesystem: false
  runAsNonRoot: false
  runAsUser: 0
service:
  type: ClusterIP
  port: 8000
ingress:
  enabled: false
  className: nginx
  annotations:
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
  hosts:
    - host: busynix.srv.oceanbox.io
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls:
    - hosts:
        - busynix.srv.oceanbox.io
      secretName: busynix-tls
persistence:
  enabled: false
  size: 1G
  storageClass: ""
  accessMode: ReadWriteOnce
cluster:
  enabled: false
  instances: 2
  backupEnabled: true
  backupRetention: 60d
  size: 5Gi
resources: {}
# We usually recommend not to specify default resources and to leave this as a conscious
# choice for the user. This also increases chances charts run on environments with little
# resources, such as Minikube. If you do want to specify resources, uncomment the following
# lines, adjust them as necessary, and remove the curly braces after 'resources:'.
# limits:
#   cpu: 100m
#   memory: 128Mi
# requests:
#   cpu: 100m
#   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80
nodeSelector: {}
tolerations: []
affinity: {}
